## Module btree_map

1.36.0 · Source
Expand description

An ordered map based on a B-Tree.

## Structs§

BTreeMap
  An ordered map based on a B-Tree.
ExtractIf
  An iterator produced by calling `extract_if` on BTreeMap.
IntoIter
  An owning iterator over the entries of a `BTreeMap`, sorted by key.
IntoKeys
  An owning iterator over the keys of a `BTreeMap`.
IntoValues
  An owning iterator over the values of a `BTreeMap`.
Iter
  An iterator over the entries of a `BTreeMap`.
IterMut
  A mutable iterator over the entries of a `BTreeMap`.
Keys
  An iterator over the keys of a `BTreeMap`.
OccupiedEntry
  A view into an occupied entry in a `BTreeMap`. It is part of the `Entry` enum.
Range
  An iterator over a sub-range of entries in a `BTreeMap`.
RangeMut
  A mutable iterator over a sub-range of entries in a `BTreeMap`.
VacantEntry
  A view into a vacant entry in a `BTreeMap`. It is part of the `Entry` enum.
Values
  An iterator over the values of a `BTreeMap`.
ValuesMut
  A mutable iterator over the values of a `BTreeMap`.
CursorExperimental
  A cursor over a `BTreeMap`.
CursorMutExperimental
  A cursor over a `BTreeMap` with editing operations.
CursorMutKeyExperimental
  A cursor over a `BTreeMap` with editing operations, and which allows mutating the key of elements.
OccupiedErrorExperimental
  The error returned by `try_insert` when the key already exists.
UnorderedKeyErrorExperimental
  Error type returned by `CursorMut::insert_before` and `CursorMut::insert_after` if the key being inserted is not properly ordered with regards to adjacent keys.

## Enums§

Entry
  A view into a single entry in a map, which may either be vacant or occupied.